csutil/cscolor.h File Reference (Crystal Space 2.0 Public API Reference)

| ## Public API Reference

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

Classes | Functions
csutil/cscolor.h File Reference

Floating-point color. More...

`#include "csextern.h"`

Go to the source code of this file.

## Classes
class | csColor
| A class used to represent a color in RGB space. More...
class | csColor4
| A class used to represent a color in RGBA space. More...
## Functions
csColor | operator* (const csColor &v1, const csColor &v2)
| Multiply two colors.
csColor | operator* (const csColor &s, float f)
| Multiply a color by a scalar value.
csColor | operator* (float f, const csColor &s)
| Multiply a scalar value by a color.
csColor4 | operator* (const csColor4 &v1, const csColor4 &v2)
| Multiply two colors.
csColor4 | operator* (const csColor4 &s, float f)
| Multiply a color by a scalar value.
csColor4 | operator* (float f, const csColor4 &s)
| Multiply a scalar value by a color.
csColor | operator+ (const csColor &s1, const csColor &s2)
| Add two colors.
csColor4 | operator+ (const csColor4 &s1, const csColor4 &s2)
| Add two colors.
csColor | operator- (const csColor &s1, const csColor &s2)
| Subtract two colors.
csColor4 | operator- (const csColor4 &s1, const csColor4 &s2)
| Subtract two colors.
csColor | operator/ (const csColor &v, float f)
| Divide a color by a scalar.
csColor4 | operator/ (const csColor4 &v, float f)
| Divide a color by a scalar.

## Detailed Description

Floating-point color.

Definition in file cscolor.h.

## Function Documentation

csColor operator* | ( | const csColor & | v1,
|  | const csColor & | v2
| ) |  | `[inline]`

Multiply two colors.

Definition at line 156 of file cscolor.h.

csColor operator* | ( | const csColor & | s,
|  | float | f
| ) |  | `[inline]`

Multiply a color by a scalar value.

Definition at line 165 of file cscolor.h.

csColor operator* | ( | float | f,
|  | const csColor & | s
| ) |  | `[inline]`

Multiply a scalar value by a color.

Definition at line 169 of file cscolor.h.

csColor4 operator* | ( | const csColor4 & | v1,
|  | const csColor4 & | v2
| ) |  | `[inline]`

Multiply two colors.

Definition at line 292 of file cscolor.h.

csColor4 operator* | ( | const csColor4 & | s,
|  | float | f
| ) |  | `[inline]`

Multiply a color by a scalar value.

Definition at line 302 of file cscolor.h.

csColor4 operator* | ( | float | f,
|  | const csColor4 & | s
| ) |  | `[inline]`

Multiply a scalar value by a color.

Definition at line 306 of file cscolor.h.

csColor operator+ | ( | const csColor & | s1,
|  | const csColor & | s2
| ) |  | `[inline]`

Add two colors.

Definition at line 173 of file cscolor.h.

csColor4 operator+ | ( | const csColor4 & | s1,
|  | const csColor4 & | s2
| ) |  | `[inline]`

Add two colors.

Definition at line 310 of file cscolor.h.

csColor operator- | ( | const csColor & | s1,
|  | const csColor & | s2
| ) |  | `[inline]`

Subtract two colors.

Definition at line 176 of file cscolor.h.

csColor4 operator- | ( | const csColor4 & | s1,
|  | const csColor4 & | s2
| ) |  | `[inline]`

Subtract two colors.

Definition at line 313 of file cscolor.h.

csColor operator/ | ( | const csColor & | v,
|  | float | f
| ) |  | `[inline]`

Divide a color by a scalar.

Definition at line 153 of file cscolor.h.

csColor4 operator/ | ( | const csColor4 & | v,
|  | float | f
| ) |  | `[inline]`

Divide a color by a scalar.

Definition at line 289 of file cscolor.h.